Subject: RE: Source header instead of property? (was Re: A case for GETSR C (or other mechanism to that effect))

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 1 Mar 2002 11:38:34 -0500

You forgot the smiley face around "piece of cake" (:-).

Note that getting everyone to agree on a format for embedding
headers in URL references is only part the problem (and html is only
one of the many locations where URL's might appear).  Getting everyone
to upgrade their search engines to repeat their requests with the
appropriate headers (or using the appropriate variant GET methods)
is another part.  And given the limited number of resources that will
actually support the variant access mechanisms, the cost of re-trying each
request
with each of the possible variants is also a negating factor.

Cheers,
Geoff

-----Original Message-----
From: Stefan Eissing [mailto:[email-masked]]
Sent: Friday, March 01, 2002 9:19 AM
To: Clemm, Geoff
Cc: [email-masked]
Subject: Re: Source header instead of property? (was Re: A case for
GETSR C (or other mechanism to that effect))

Not speaking of the problem how the heck google is to
display search results for such source documents...

But by then we probably have extended HTML to handle
<a href="http://xyz/doc.asp" translate="F">link to interesting 
source</a>
in all browsers.

Piece of cake really.

//Stefan

Am Freitag den, 1. März 2002, um 14:32, schrieb Clemm, Geoff:

> The special header would effectively break the ability for Web Search
> engines (e.g. google.com) to index the resource space, unless they were
> upgraded to re-crawl the URL space with the "Translate" header, and
> then store in their cache that the "Translate" header needs to be
> included in the request.  Analogously, it becomes impossible to just
> embed a URL in a mail message that refers someone to the source ...
> you'd have to somehow include an annotation that says "and use the
> Translate header when you request this URL".  These kinds of reasons
> make me strongly object to either the GETSRC method or a Translate
> header.
>
> Cheers,
> Geoff
>
> -----Original Message-----
> From: Erik Seaberg [mailto:[email-masked]]
> Sent: Thursday, February 28, 2002 11:41 PM
> To: [email-masked]
> Subject: Source header instead of property? (was Re: A case for GETSRC
> (or other mechanism to that effect))
>
>
> The only reason for GETSRC or "Translate: F" is to overload one URI for
> both the source and output resources, but it seems to me that breaks a
> lot of features.  We suddenly need to duplicate most properties
> ({DAV:}getsrcetag, {DAV:}getsrccontenttype...) to deal well with 
> caching
> and editing.  You're likely to go through content negotiation and wind
> up editing just one variant without even realizing it (or worse, store
> one variant at the vanilla URI's corresponding filename and inhibit
> negotiation!).  And Web development being the way it is, it's almost
> certain that when GETSRC seems to usually work on simplistic servers,
> hardly any clients will know how to use {DAV:}source in the cases where
> it won't.
>
> But if the output resource does have a separate URI, a PUT or LOCK or
> PROPPATCH on it probably doesn't make sense, so it's not likely that
> many modules will bother being compliant enough to answer a PROPFIND
> request for {DAV:}source (in my case, GET clients and DAV clients are
> talking to different servers entirely).  An HTTP header containing the
> source URIs for an output resource (only for authenticated requests?)
> should be much easier to implement; would that be more likely to be
> widely adopted and used?
>
>

---

From: "Babich, Alan" <[email-masked]>
Date: Fri, 1 Mar 2002 13:12:01 -0800

Based on basic data modeling considerations, I agree
with Julian that the source(s) and the output should not 
be considered variants of the same resource. Hence, 
they would seem to require different URI's.

Alan Babich

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]
Sent: Friday, March 01, 2002 5:41 AM
To: [email-masked]
Subject: RE: Source header instead of property? (was Re: A case for

Thanks, Geoff.

Sorry if I keep repeating myself, but:

are the source and the output resource 

a) different resources, or

b) variants of the same resource [1].

I say "a)", and thus they need to have different URIs.

Julian

[1] RFC2616, section 1.3

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Clemm, Geoff
> Sent: Friday, March 01, 2002 2:32 PM
> Subject: RE: Source header instead of property? (was Re: A case for
> ({DAV:}getsrcetag, {DAV:}getsrccontenttype...) to deal well with caching